Xenomai install question (get error running test apps)

Shabaz Yousaf shabaz_yousaf at hotmail.com
Mon Aug 12 22:22:44 CEST 2019


Hi Tormod,

Thanks! I'll try that now and report back.
It did look suspicious to me too, but two BeagleBone websites had the ./configure flags set the way I tried, but I believe it's very likely the websites are outdated
(this is a common problem with BeagleBone Black info, there is a lot of outdated or incorrect information on websites : (
I'll write it up once I get it running.

Thanks again for your help.

Shabaz.

________________________________
From: Tormod Volden <lists.tormod at gmail.com>
Sent: 12 August 2019 08:52
To: xenomai at xenomai.org <xenomai at xenomai.org>
Cc: Shabaz Yousaf <shabaz_yousaf at hotmail.com>
Subject: Re: Xenomai install question (get error running test apps)

On Mon, Aug 12, 2019 at 3:40 AM Shabaz Yousaf wrote:

> In a nutshell, I installed a pre-built Xenomai kernel, and then tried to install the remainder of it and run a sample app, but I get an error:
> BUG in __xenomai_init(): [main] running non-SMP libraries on SMP kernel?

I believe you'll need to configure your xenomai libraries for SMP. It
defaults to --enable-smp=yes only on x86/cobalt, otherwise to
--enable-smp=no

> I've installed the pre-built Xenomi kernel on a BeagleBone Black using some script it already has, and uname -a looks good:
> Linux beaglebone 4.14.108-ti-xenomai-r114 #1 SMP PREEMPT Sun Aug 4 08:52:45 UTC 2019 armv7l GNU/Linux

Note the "SMP" in the kernel signature above.

> cd xenomai-3.0.9
>
> ./configure CFLAGS="-march=armv7-a -mfpu=vfp3" LDFLAGS="-march=armv7-a -mfpu=vfp3"
>

https://gitlab.denx.de/Xenomai/xenomai/wikis/Troubleshooting#user-content-feature-mismatch-missingsmpnosmp

Regards,
Tormod


More information about the Xenomai mailing list